dbXML API

## com.dbxml.db.enterprise.labrador
Class PersistentSession

    java.lang.Object
      com.dbxml.labrador.util.SimpleConfigurable
          com.dbxml.labrador.sessions.Session
              com.dbxml.db.enterprise.labrador.PersistentSession

All Implemented Interfaces:
  com.dbxml.labrador.configuration.Configurable

public class PersistentSession
extends com.dbxml.labrador.sessions.Session

PersistentSession is a configurable Session class for Labrador that can be used to intercept Session lifecycle events in order to persist certain Session resources.

Constructor Summary
`PersistentSession()`

Method Summary
`void` `readSession()`
`void` `removeSession()`
`void` `setConfig(com.dbxml.labrador.configuration.Configuration config)`
`void` `writeSession()`

Methods inherited from class com.dbxml.labrador.sessions.Session
`clear, get, getCurrentSession, isEmpty, keyIterator, listKeys, put, remove, size, valueIterator`

Methods inherited from class com.dbxml.labrador.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentSession

    public PersistentSession()

Method Detail

### setConfig

    public void setConfig(com.dbxml.labrador.configuration.Configuration config)
                   throws com.dbxml.labrador.configuration.ConfigurationException

  Throws:
    `com.dbxml.labrador.configuration.ConfigurationException`

### readSession

    public void readSession()
                     throws com.dbxml.labrador.sessions.SessionException

  Throws:
    `com.dbxml.labrador.sessions.SessionException`

### writeSession

    public void writeSession()
                      throws com.dbxml.labrador.sessions.SessionException

  Throws:
    `com.dbxml.labrador.sessions.SessionException`

### removeSession

    public void removeSession()
                       throws com.dbxml.labrador.sessions.SessionException

  Throws:
    `com.dbxml.labrador.sessions.SessionException`

dbXML API

Copyright (c) 2004 The dbXML Group